##
##  perl-util.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   versions of individual parts
%define       V_perl                     5.22
%define       V_alias                    2.32
%define       V_attribute_handlers       0.96
%define       V_class_container          0.13
%define       V_class_data_inheritable   0.08
%define       V_class_factory            1.06
%define       V_class_factory_util       1.7
%define       V_class_loader             2.03
%define       V_class_makemethods        1.01
%define       V_class_methodmaker        2.25
%define       V_class_returnvalue        0.55
%define       V_class_xpath              1.4
%define       V_class_autouse            2.01
%define       V_class_accessor           0.51
%define       V_class_accessor_assert    1.41
%define       V_class_accessor_chained   0.01
%define       V_class_accessor_lvalue    0.11
%define       V_class_accessor_ref       0.05
%define       V_class_arrayobjects       1.03
%define       V_class_contract           1.14
%define       V_class_declare            0.20
%define       V_class_declare_attributes 0.12
%define       V_class_trigger            0.15
%define       V_class_errorhandler       0.01
%define       V_class_whitehole          0.04
%define       V_class_singleton          1.4
%define       V_data_locations           5.5
%define       V_data_swap                0.08
%define       V_data_flow                1.02
%define       V_data_table               1.78
%define       V_data_compare             1.29
%define       V_data_dumper_simple       0.11
%define       V_data_hierarchy           0.34
%define       V_exception_class          1.44
%define       V_geography_countries      2009041301
%define       V_object_realize_later     0.21
%define       V_object_multitype         0.05
%define       V_object_lexical           0.02
%define       V_params_validate          1.31
%define       V_startup                  0.103
%define       V_string_divert            0.96
%define       V_test                     1.25
%define       V_test_harness             3.23
%define       V_test_manifest            2.024
%define       V_test_simple              2.00_07
%define       V_universal_moniker        0.08
%define       V_universal_require        0.13
%define       V_fields_aliased           1.05
%define       V_contize                  0.3
%define       V_memoize                  1.01
%define       V_path_class               0.37
%define       V_anydata                  0.10
%define       V_ootools                  2.21
%define       V_clone                    0.31
%define       V_clone_pp                 1.02
%define       V_data_page                2.02
%define       V_data_page_pageset        1.02
%define       V_want                     0.29
%define       V_class_insideout          1.14
%define       V_class_trait              0.33
%define       V_hash_merge               0.12
%define       V_readonly                 1.03
%define       V_params_util              1.07
%define       V_data_optlist             0.114
%define       V_sub_uplevel              0.2800
%define       V_sub_install              0.929
%define       V_sub_exporter             0.991
%define       V_class_base               0.03
%define       V_self                     0.36
%define       V_capitalization           0.03
%define       V_check_isa                0.04
%define       V_package_constants        0.02
%define       V_carp_clan                6.04
%define       V_class_isa                0.36
%define       V_try_tiny                 0.22

#   package information
Name:         perl-util
Summary:      Perl Modules for general utility usage
URL:          http://www.cpan.org/
Vendor:       Perl Community
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        BASE
Group:        Perl
License:      GPL/Artistic
Version:      %{V_perl}
Release:      20241115

#   list of sources
Source0:      http://www.cpan.org/authors/id/S/SB/SBURKE/Test-%{V_test}.tar.gz
Source1:      http://www.cpan.org/authors/id/A/AN/ANDYA/Test-Harness-%{V_test_harness}.tar.gz
Source2:      http://www.cpan.org/authors/id/G/GS/GSAR/Alias-%{V_alias}.tar.gz
Source3:      http://www.cpan.org/authors/id/S/SM/SMUELLER/Attribute-Handlers-%{V_attribute_handlers}.tar.gz
Source4:      http://www.cpan.org/authors/id/D/DR/DROLSKY/Params-Validate-%{V_params_validate}.tar.gz
Source5:      http://www.cpan.org/authors/id/K/KW/KWILLIAMS/Class-Container-%{V_class_container}.tar.gz
Source6:      http://www.cpan.org/authors/id/T/TM/TMTM/Class-Data-Inheritable-%{V_class_data_inheritable}.tar.gz
Source7:      http://www.cpan.org/authors/id/P/PH/PHRED/Class-Factory-%{V_class_factory}.tar.gz
Source8:      http://www.cpan.org/authors/id/D/DR/DROLSKY/Class-Factory-Util-%{V_class_factory_util}.tar.gz
Source9:      http://www.cpan.org/authors/id/V/VI/VIPUL/Class-Loader-%{V_class_loader}.tar.gz
Source10:     http://www.cpan.org/authors/id/E/EV/EVO/Class-MakeMethods-%{V_class_makemethods}.tar.gz
Source11:     http://www.cpan.org/modules/by-module/Class/Class-MethodMaker-%{V_class_methodmaker}.tar.gz
Source12:     http://www.cpan.org/authors/id/S/SA/SAMTREGAR/Class-XPath-%{V_class_xpath}.tar.gz
Source13:     http://www.cpan.org/authors/id/S/ST/STBEY/Data-Locations-%{V_data_locations}.tar.gz
Source14:     http://www.cpan.org/authors/id/J/JE/JESSE/Class-ReturnValue-%{V_class_returnvalue}.tar.gz
Source15:     http://www.cpan.org/authors/id/D/DR/DROLSKY/Exception-Class-%{V_exception_class}.tar.gz
Source16:     http://www.cpan.org/authors/id/M/MA/MARKOV/Object-Realize-Later-%{V_object_realize_later}.tar.gz
Source17:     http://www.cpan.org/authors/id/G/GM/GMPASSOS/Object-MultiType-%{V_object_multitype}.tar.gz
Source18:     http://www.cpan.org/authors/id/S/SW/SWALTERS/Object-Lexical-%{V_object_lexical}.tar.gz
Source19:     http://www.cpan.org/authors/id/M/MS/MSCHWARTZ/Startup-%{V_startup}.tar.gz
Source20:     http://www.cpan.org/authors/id/R/RS/RSE/String-Divert-%{V_string_divert}.tar.gz
Source21:     http://www.cpan.org/authors/id/M/MS/MSCHWERN/Test-Simple-%{V_test_simple}.tar.gz
Source22:     http://www.cpan.org/authors/id/B/BD/BDFOY/Test-Manifest-%{V_test_manifest}.tar.gz
Source23:     http://www.cpan.org/authors/id/A/AB/ABIGAIL/Geography-Countries-%{V_geography_countries}.tar.gz
Source24:     http://www.cpan.org/authors/id/X/XM/XMATH/Data-Swap-%{V_data_swap}.tar.gz
Source25:     http://www.cpan.org/authors/id/A/AD/ADAMK/Class-Autouse-%{V_class_autouse}.tar.gz
Source26:     http://www.cpan.org/authors/id/K/KA/KASEI/Class-Accessor-%{V_class_accessor}.tar.gz
Source27:     http://www.cpan.org/authors/id/S/SM/SMUELLER/Class-Accessor-Assert-%{V_class_accessor_assert}.tar.gz
Source28:     http://www.cpan.org/authors/id/R/RC/RCLAMP/Class-Accessor-Chained-%{V_class_accessor_chained}.tar.gz
Source29:     http://www.cpan.org/authors/id/R/RC/RCLAMP/Class-Accessor-Lvalue-%{V_class_accessor_lvalue}.tar.gz
Source30:     http://www.cpan.org/authors/id/G/GA/GAAL/Class-Accessor-Ref-%{V_class_accessor_ref}.tar.gz
Source31:     http://www.cpan.org/authors/id/R/RO/RONAN/Class-ArrayObjects-%{V_class_arrayobjects}.tar.gz
Source32:     http://www.cpan.org/authors/id/G/GG/GGOEBEL/Class-Contract-%{V_class_contract}.tar.gz
Source33:     http://www.cpan.org/authors/id/I/IB/IBB/Class-Declare-%{V_class_declare}.tar.gz
Source34:     http://www.cpan.org/authors/id/I/IB/IBB/Class-Declare-Attributes-%{V_class_declare_attributes}.tar.gz
Source35:     http://www.cpan.org/authors/id/M/MI/MIYAGAWA/Class-Trigger-%{V_class_trigger}.tar.gz
Source36:     http://www.cpan.org/authors/id/M/MS/MSCHWERN/Class-WhiteHole-%{V_class_whitehole}.tar.gz
Source37:     http://www.cpan.org/authors/id/K/KA/KASEI/UNIVERSAL-moniker-%{V_universal_moniker}.tar.gz
Source38:     http://www.cpan.org/authors/id/K/KV/KVAIL/fields-aliased-%{V_fields_aliased}.tar.gz
Source39:     http://www.cpan.org/authors/id/A/AW/AWWAIID/Contize-%{V_contize}.tar.gz
Source40:     http://www.cpan.org/modules/by-module/Data/Data-Flow-%{V_data_flow}.tar.gz
Source41:     http://www.cpan.org/authors/id/E/EZ/EZDB/Data-Table-%{V_data_table}.tar.gz
Source42:     http://www.cpan.org/authors/id/M/MJ/MJD/Memoize-%{V_memoize}.tar.gz
Source43:     http://www.cpan.org/authors/id/D/DC/DCANTRELL/Data-Compare-%{V_data_compare}.tar.gz
Source44:     http://www.cpan.org/authors/id/O/OV/OVID/Data-Dumper-Simple-%{V_data_dumper_simple}.tar.gz
Source45:     http://www.cpan.org/authors/id/K/KW/KWILLIAMS/Path-Class-%{V_path_class}.tar.gz
Source46:     http://www.cpan.org/authors/id/J/JZ/JZUCKER/AnyData-%{V_anydata}.tar.gz
Source47:     http://www.cpan.org/authors/id/D/DO/DOMIZIO/OOTools-%{V_ootools}.tar.gz
Source48:     http://www.cpan.org/authors/id/C/CL/CLKAO/Data-Hierarchy-%{V_data_hierarchy}.tar.gz
Source49:     http://www.cpan.org/authors/id/R/RD/RDF/Clone-%{V_clone}.tar.gz
Source50:     http://www.cpan.org/authors/id/E/EV/EVO/Clone-PP-%{V_clone_pp}.tar.gz
Source51:     http://www.cpan.org/authors/id/L/LB/LBROCARD/Data-Page-%{V_data_page}.tar.gz
Source52:     http://www.cpan.org/authors/id/C/CH/CHUNZI/Data-Page-Pageset-%{V_data_page_pageset}.tar.gz
Source53:     http://www.cpan.org/authors/id/R/RO/ROBIN/Want-%{V_want}.tar.gz
Source54:     http://www.cpan.org/authors/id/B/BT/BTROTT/Class-ErrorHandler-%{V_class_errorhandler}.tar.gz
Source55:     http://www.cpan.org/authors/id/A/AB/ABW/Class-Singleton-%{V_class_singleton}.tar.gz
Source56:     http://www.cpan.org/authors/id/M/MS/MSCHWERN/UNIVERSAL-require-%{V_universal_require}.tar.gz
Source57:     http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Class-InsideOut-%{V_class_insideout}.tar.gz
Source58:     http://www.cpan.org/authors/id/O/OV/OVID/Class-Trait-%{V_class_trait}.tar.gz
Source59:     http://www.cpan.org/authors/id/D/DM/DMUEY/Hash-Merge-%{V_hash_merge}.tar.gz
Source60:     http://www.cpan.org/authors/id/R/RO/ROODE/Readonly-%{V_readonly}.tar.gz
Source61:     http://www.cpan.org/authors/id/A/AD/ADAMK/Params-Util-%{V_params_util}.tar.gz
Source62:     http://www.cpan.org/authors/id/R/RJ/RJBS/Data-OptList-%{V_data_optlist}.tar.gz
Source63:     http://www.cpan.org/authors/id/D/DA/DAGOLDEN/Sub-Uplevel-%{V_sub_uplevel}.tar.gz
Source64:     http://www.cpan.org/authors/id/R/RJ/RJBS/Sub-Install-%{V_sub_install}.tar.gz
Source65:     http://www.cpan.org/authors/id/R/RJ/RJBS/Sub-Exporter-%{V_sub_exporter}.tar.gz
Source66:     http://www.cpan.org/authors/id/A/AB/ABW/Class-Base-%{V_class_base}.tar.gz
Source67:     http://www.cpan.org/authors/id/G/GU/GUGOD/self-%{V_self}.tar.gz
Source68:     http://www.cpan.org/authors/id/M/MI/MIYAGAWA/capitalization-%{V_capitalization}.tar.gz
Source69:     http://www.cpan.org/authors/id/N/NU/NUFFIN/Check-ISA-%{V_check_isa}.tar.gz
Source70:     http://www.cpan.org/authors/id/K/KA/KANE/Package-Constants-%{V_package_constants}.tar.gz
Source71:     http://www.cpan.org/authors/id/S/ST/STBEY/Carp-Clan-%{V_carp_clan}.tar.gz
Source72:     http://www.cpan.org/authors/id/S/SM/SMUELLER/Class-ISA-%{V_class_isa}.tar.gz
Source73:     http://www.cpan.org/authors/id/D/DO/DOY/Try-Tiny-%{V_try_tiny}.tar.gz
Patch0:       perl-util.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, perl >= %{V_perl}, perl-openpkg >= %{V_perl}-20040126
PreReq:       OpenPKG, openpkg >= 20160101, perl >= %{V_perl}
BuildPreReq:  perl-module
PreReq:       perl-module

%description
    Perl modules for general utility usage:
    - Alias (%{V_alias})
    - Attribute::Handlers (%{V_attribute_handlers})
    - Class::Container (%{V_class_container})
    - Class::Data::Inheritable (%{V_class_data_inheritable})
    - Class::Factory (%{V_class_factory})
    - Class::Factory::Util (%{V_class_factory_util})
    - Class::Loader (%{V_class_loader})
    - Class::MakeMethods (%{V_class_makemethods})
    - Class::MethodMaker (%{V_class_methodmaker})
    - Class::ReturnValue (%{V_class_returnvalue})
    - Class::XPath (%{V_class_xpath})
    - Class::Autouse (%{V_class_autouse})
    - Class::Accessor (%{V_class_accessor})
    - Class::Accessor::Assert (%{V_class_accessor_assert})
    - Class::Accessor::Chained (%{V_class_accessor_chained})
    - Class::Accessor::Lvalue (%{V_class_accessor_lvalue})
    - Class::Accessor::Ref (%{V_class_accessor_ref})
    - Class::ArrayObjects (%{V_class_arrayobjects})
    - Class::Contract (%{V_class_contract})
    - Class::Declare (%{V_class_declare})
    - Class::Declare-Attributes (%{V_class_declare_attributes})
    - Class::Trigger (%{V_class_trigger})
    - Class::WhiteHole (%{V_class_whitehole})
    - Class::ErrorHandler (%{V_class_errorhandler})
    - Class::Singleton (%{V_class_singleton})
    - Class::InsideOut (%{V_class_insideout})
    - Class::Trait (%{V_class_trait})
    - Data::Locations (%{V_data_locations})
    - Data::Swap (%{V_data_swap})
    - Data::Flow (%{V_data_flow})
    - Data::Table (%{V_data_table})
    - Data::Compare (%{V_data_compare})
    - Data::Dumper::Simple (%{V_data_dumper_simple})
    - Data::Hierarchy (%{V_data_hierarchy})
    - Exception::Class (%{V_exception_class})
    - Geography::Countries (%{V_geography_countries})
    - Object::Realize::Later (%{V_object_realize_later})
    - Object::MultiType (%{V_object_multitype})
    - Object::Lexical (%{V_object_lexical})
    - Params::Validate (%{V_params_validate})
    - Startup (%{V_startup})
    - String::Divert (%{V_string_divert})
    - Test (%{V_test})
    - Test::Harness (%{V_test_harness})
    - Test::Manifest (%{V_test_manifest})
    - Test::Simple (%{V_test_simple})
    - UNIVERSAL::moniker (%{V_universal_moniker})
    - UNIVERSAL::require (%{V_universal_require})
    - fields::aliased (%{V_fields_aliased})
    - Contize (%{V_contize})
    - Memoize (%{V_memoize})
    - Path::Class (%{V_path_class})
    - AnyData (%{V_anydata})
    - OOTools (%{V_ootools})
    - Clone (%{V_clone})
    - Clone::PP (%{V_clone_pp})
    - Data::Page (%{V_data_page})
    - Data::Page::Pageset (%{V_data_page_pageset})
    - Want (%{V_want})
    - Hash::Merge (%{V_hash_merge})
    - Readonly (%{V_readonly})
    - Params::Util (%{V_params_util})
    - Data::OptList (%{V_data_optlist})
    - Sub::Uplevel (%{V_sub_uplevel})
    - Sub::Install (%{V_sub_install})
    - Sub::Exporter (%{V_sub_exporter})
    - Class::Base (%{V_class_base})
    - self (%{V_self})
    - capitalization (%{V_capitalization})
    - Check::ISA (%{V_check_isa})
    - Package::Constants (%{V_package_constants})
    - Carp::Clan (%{V_carp_clan})
    - Class::ISA (%{V_class_isa})
    - Tiny::Try (%{V_try_tiny})

%track
    prog perl-util:Alias = {
        version   = %{V_alias}
        url       = http://www.cpan.org/authors/id/G/GS/GSAR/
        regex     = Alias-(__VER__)\.tar\.gz
    }
    prog perl-util:Attribute-Handlers = {
        version   = %{V_attribute_handlers}
        url       = http://www.cpan.org/authors/id/S/SM/SMUELLER/
        regex     = Attribute-Handlers-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Container = {
        version   = %{V_class_container}
        url       = http://www.cpan.org/authors/id/K/KW/KWILLIAMS/
        regex     = Class-Container-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Data-Inheritable = {
        version   = %{V_class_data_inheritable}
        url       = http://www.cpan.org/authors/id/T/TM/TMTM/
        regex     = Class-Data-Inheritable-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Factory = {
        version   = %{V_class_factory}
        url       = http://www.cpan.org/authors/id/P/PH/PHRED/
        regex     = Class-Factory-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Factory-Util = {
        version   = %{V_class_factory_util}
        url       = http://www.cpan.org/authors/id/D/DR/DROLSKY/
        regex     = Class-Factory-Util-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Loader = {
        version   = %{V_class_loader}
        url       = http://www.cpan.org/authors/id/V/VI/VIPUL/
        regex     = Class-Loader-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-MakeMethods = {
        version   = %{V_class_makemethods}
        url       = http://www.cpan.org/authors/id/E/EV/EVO/
        regex     = Class-MakeMethods-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-MethodMaker = {
        version   = %{V_class_methodmaker}
        url       = http://www.cpan.org/modules/by-module/Class/
        regex     = Class-MethodMaker-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-ReturnValue = {
        version   = %{V_class_returnvalue}
        url       = http://www.cpan.org/authors/id/J/JE/JESSE/
        regex     = Class-ReturnValue-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-XPath = {
        version   = %{V_class_xpath}
        url       = http://www.cpan.org/authors/id/S/SA/SAMTREGAR/
        regex     = Class-XPath-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Autouse = {
        version   = %{V_class_autouse}
        url       = http://www.cpan.org/authors/id/A/AD/ADAMK/
        regex     = Class-Autouse-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Accessor = {
        version   = %{V_class_accessor}
        url       = http://www.cpan.org/authors/id/K/KA/KASEI/
        regex     = Class-Accessor-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Accessor-Assert = {
        version   = %{V_class_accessor_assert}
        url       = http://www.cpan.org/authors/id/S/SM/SMUELLER/
        regex     = Class-Accessor-Assert-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Accessor-Chained = {
        version   = %{V_class_accessor_chained}
        url       = http://www.cpan.org/authors/id/R/RC/RCLAMP/
        regex     = Class-Accessor-Chained-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Accessor-Lvalue = {
        version   = %{V_class_accessor_lvalue}
        url       = http://www.cpan.org/authors/id/R/RC/RCLAMP/
        regex     = Class-Accessor-Lvalue-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Accessor-Ref = {
        version   = %{V_class_accessor_ref}
        url       = http://www.cpan.org/authors/id/G/GA/GAAL/
        regex     = Class-Accessor-Ref-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-ArrayObjects = {
        version   = %{V_class_arrayobjects}
        url       = http://www.cpan.org/authors/id/R/RO/RONAN/
        regex     = Class-ArrayObjects-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Contract = {
        version   = %{V_class_contract}
        url       = http://www.cpan.org/authors/id/G/GG/GGOEBEL/
        regex     = Class-Contract-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Declare = {
        version   = %{V_class_declare}
        url       = http://www.cpan.org/authors/id/I/IB/IBB/
        regex     = Class-Declare-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Declare-Attributes = {
        version   = %{V_class_declare_attributes}
        url       = http://www.cpan.org/authors/id/I/IB/IBB/
        regex     = Class-Declare-Attributes-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Trigger = {
        version   = %{V_class_trigger}
        url       = http://www.cpan.org/authors/id/M/MI/MIYAGAWA/
        regex     = Class-Trigger-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-WhiteHole = {
        version   = %{V_class_whitehole}
        url       = http://www.cpan.org/authors/id/M/MS/MSCHWERN/
        regex     = Class-WhiteHole-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Locations = {
        version   = %{V_data_locations}
        url       = http://www.cpan.org/authors/id/S/ST/STBEY/
        regex     = Data-Locations-(__VER__(-fixed)?)\.tar\.gz
    }
    prog perl-util:Data-Swap = {
        version   = %{V_data_swap}
        url       = http://www.cpan.org/authors/id/X/XM/XMATH/
        regex     = Data-Swap-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Flow = {
        version   = %{V_data_flow}
        url       = http://www.cpan.org/modules/by-module/Data/
        regex     = Data-Flow-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Table = {
        version   = %{V_data_table}
        url       = http://www.cpan.org/authors/id/E/EZ/EZDB/
        regex     = Data-Table-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Compare = {
        version   = %{V_data_compare}
        url       = http://www.cpan.org/authors/id/D/DC/DCANTRELL/
        regex     = Data-Compare-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Dumper-Simple = {
        version   = %{V_data_dumper_simple}
        url       = http://www.cpan.org/authors/id/O/OV/OVID/
        regex     = Data-Dumper-Simple-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Hierarchy = {
        version   = %{V_data_hierarchy}
        url       = http://www.cpan.org/authors/id/C/CL/CLKAO/
        regex     = Data-Hierarchy-(__VER__)\.tar\.gz
    }
    prog perl-util:Exception-Class = {
        version   = %{V_exception_class}
        url       = http://www.cpan.org/authors/id/D/DR/DROLSKY/
        regex     = Exception-Class-(__VER__)\.tar\.gz
    }
    prog perl-util:Geography-Countries = {
        version   = %{V_geography_countries}
        url       = http://www.cpan.org/authors/id/A/AB/ABIGAIL/
        regex     = Geography-Countries-(__VER__)\.tar\.gz
    }
    prog perl-util:Object-Realize-Later = {
        version   = %{V_object_realize_later}
        url       = http://www.cpan.org/authors/id/M/MA/MARKOV/
        regex     = Object-Realize-Later-(__VER__)\.tar\.gz
    }
    prog perl-util:Object-MultiType = {
        version   = %{V_object_multitype}
        url       = http://www.cpan.org/authors/id/G/GM/GMPASSOS/
        regex     = Object-MultiType-(__VER__)\.tar\.gz
    }
    prog perl-util:Object-Lexical = {
        version   = %{V_object_lexical}
        url       = http://www.cpan.org/authors/id/S/SW/SWALTERS/
        regex     = Object-Lexical-(__VER__)\.tar\.gz
    }
    prog perl-util:Params-Validate = {
        version   = %{V_params_validate}
        url       = http://www.cpan.org/authors/id/D/DR/DROLSKY/
        regex     = Params-Validate-(__VER__)\.tar\.gz
    }
    prog perl-util:Startup = {
        version   = %{V_startup}
        url       = http://www.cpan.org/authors/id/M/MS/MSCHWARTZ/
        regex     = Startup-(__VER__)\.tar\.gz
    }
    prog perl-util:String-Divert = {
        version   = %{V_string_divert}
        url       = http://www.cpan.org/authors/id/R/RS/RSE/
        regex     = String-Divert-(__VER__)\.tar\.gz
    }
    prog perl-util:Test = {
        version   = %{V_test}
        url       = http://www.cpan.org/authors/id/S/SB/SBURKE/
        regex     = Test-(__VER__)\.tar\.gz
    }
    prog perl-util:Test-Harness = {
        version   = %{V_test_harness}
        url       = http://www.cpan.org/authors/id/A/AN/ANDYA/
        regex     = Test-Harness-(__VER__)\.tar\.gz
    }
    prog perl-util:Test-Manifest = {
        version   = %{V_test_manifest}
        url       = http://www.cpan.org/authors/id/B/BD/BDFOY/
        regex     = Test-Manifest-(__VER__)\.tar\.gz
    }
    prog perl-util:Test-Simple = {
        version   = %{V_test_simple}
        url       = http://www.cpan.org/authors/id/M/MS/MSCHWERN/
        regex     = Test-Simple-(__VER__)\.tar\.gz
    }
    prog perl-util:UNIVERSAL-moniker = {
        version   = %{V_universal_moniker}
        url       = http://www.cpan.org/authors/id/K/KA/KASEI/
        regex     = UNIVERSAL-moniker-(__VER__)\.tar\.gz
    }
    prog perl-util:UNIVERSAL-require = {
        version   = %{V_universal_require}
        url       = http://www.cpan.org/authors/id/M/MS/MSCHWERN/
        regex     = UNIVERSAL-require-(__VER__)\.tar\.gz
    }
    prog perl-util:fields-aliased = {
        version   = %{V_fields_aliased}
        url       = http://www.cpan.org/authors/id/K/KV/KVAIL/
        regex     = fields-aliased-(__VER__)\.tar\.gz
    }
    prog perl-util:Contize = {
        version   = %{V_contize}
        url       = http://www.cpan.org/authors/id/A/AW/AWWAIID/
        regex     = Contize-(__VER__)\.tar\.gz
    }
    prog perl-util:Memoize = {
        version   = %{V_memoize}
        url       = http://www.cpan.org/authors/id/M/MJ/MJD/
        regex     = Memoize-(__VER__)\.tar\.gz
    }
    prog perl-util:Path-Class = {
        version   = %{V_path_class}
        url       = http://www.cpan.org/authors/id/K/KW/KWILLIAMS/
        regex     = Path-Class-(__VER__)\.tar\.gz
    }
    prog perl-util:AnyData = {
        version   = %{V_anydata}
        url       = http://www.cpan.org/authors/id/J/JZ/JZUCKER/
        regex     = AnyData-(__VER__)\.tar\.gz
    }
    prog perl-util:OOTools = {
        version   = %{V_ootools}
        url       = http://www.cpan.org/authors/id/D/DO/DOMIZIO/
        regex     = OOTools-(__VER__)\.tar\.gz
    }
    prog perl-util:Clone = {
        version   = %{V_clone}
        url       = http://www.cpan.org/authors/id/R/RD/RDF/
        regex     = Clone-(__VER__)\.tar\.gz
    }
    prog perl-util:Clone-PP = {
        version   = %{V_clone_pp}
        url       = http://www.cpan.org/authors/id/E/EV/EVO/
        regex     = Clone-PP-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Page = {
        version   = %{V_data_page}
        url       = http://www.cpan.org/authors/id/L/LB/LBROCARD/
        regex     = Data-Page-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-Page-Pageset = {
        version   = %{V_data_page_pageset}
        url       = http://www.cpan.org/authors/id/C/CH/CHUNZI/
        regex     = Data-Page-Pageset-(__VER__)\.tar\.gz
    }
    prog perl-util:Want = {
        version   = %{V_want}
        url       = http://www.cpan.org/authors/id/R/RO/ROBIN/
        regex     = Want-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-ErrorHandler = {
        version   = %{V_class_errorhandler}
        url       = http://www.cpan.org/authors/id/B/BT/BTROTT/
        regex     = Class-ErrorHandler-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Singleton = {
        version   = %{V_class_singleton}
        url       = http://www.cpan.org/authors/id/A/AB/ABW/
        regex     = Class-Singleton-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-InsideOut = {
        version   = %{V_class_insideout}
        url       = http://www.cpan.org/authors/id/D/DA/DAGOLDEN/
        regex     = Class-InsideOut-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Trait = {
        version   = %{V_class_trait}
        url       = http://www.cpan.org/authors/id/O/OV/OVID/
        regex     = Class-Trait-(__VER__)\.tar\.gz
    }
    prog perl-util:Hash-Merge = {
        version   = %{V_hash_merge}
        url       = http://www.cpan.org/authors/id/D/DM/DMUEY/
        regex     = Hash-Merge-(__VER__)\.tar\.gz
    }
    prog perl-util:Readonly = {
        version   = %{V_readonly}
        url       = http://www.cpan.org/authors/id/R/RO/ROODE/
        regex     = Readonly-(__VER__)\.tar\.gz
    }
    prog perl-util:Params-Util = {
        version   = %{V_params_util}
        url       = http://www.cpan.org/authors/id/A/AD/ADAMK/
        regex     = Params-Util-(__VER__)\.tar\.gz
    }
    prog perl-util:Data-OptList = {
        version   = %{V_data_optlist}
        url       = http://www.cpan.org/authors/id/R/RJ/RJBS/
        regex     = Data-OptList-(__VER__)\.tar\.gz
    }
    prog perl-util:Sub-Uplevel = {
        version   = %{V_sub_uplevel}
        url       = http://www.cpan.org/authors/id/D/DA/DAGOLDEN/
        regex     = Sub-Uplevel-(__VER__)\.tar\.gz
    }
    prog perl-util:Sub-Install = {
        version   = %{V_sub_install}
        url       = http://www.cpan.org/authors/id/R/RJ/RJBS/
        regex     = Sub-Install-(__VER__)\.tar\.gz
    }
    prog perl-util:Sub-Exporter = {
        version   = %{V_sub_exporter}
        url       = http://www.cpan.org/authors/id/R/RJ/RJBS/
        regex     = Sub-Exporter-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-Base = {
        version   = %{V_class_base}
        url       = http://www.cpan.org/authors/id/A/AB/ABW/
        regex     = Class-Base-(__VER__)\.tar\.gz
    }
    prog perl-util:self = {
        version   = %{V_self}
        url       = http://www.cpan.org/authors/id/G/GU/GUGOD/
        regex     = self-(__VER__)\.tar\.gz
    }
    prog perl-util:capitalization = {
        version   = %{V_capitalization}
        url       = http://www.cpan.org/authors/id/M/MI/MIYAGAWA/
        regex     = capitalization-(__VER__)\.tar\.gz
    }
    prog perl-util:Check-ISA = {
        version   = %{V_check_isa}
        url       = http://www.cpan.org/authors/id/N/NU/NUFFIN/
        regex     = Check-ISA-(__VER__)\.tar\.gz
    }
    prog perl-util:Package-Constants = {
        version   = %{V_package_constants}
        url       = http://www.cpan.org/authors/id/K/KA/KANE/
        regex     = Package-Constants-(__VER__)\.tar\.gz
    }
    prog perl-util:Carp-Clan = {
        version   = %{V_carp_clan}
        url       = http://www.cpan.org/authors/id/S/ST/STBEY/
        regex     = Carp-Clan-(__VER__)\.tar\.gz
    }
    prog perl-util:Class-ISA = {
        version   = %{V_class_isa}
        url       = http://www.cpan.org/authors/id/S/SM/SMUELLER/
        regex     = Class-ISA-(__VER__)\.tar\.gz
    }
    prog perl-util:Try-Tiny = {
        version   = %{V_try_tiny}
        url       = http://www.cpan.org/authors/id/D/DO/DOY/
        regex     = Try-Tiny-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c
    %setup -q -T -D -a 1
    %setup -q -T -D -a 2
    %setup -q -T -D -a 3
    %setup -q -T -D -a 4
    %setup -q -T -D -a 5
    %setup -q -T -D -a 6
    %setup -q -T -D -a 7
    %setup -q -T -D -a 8
    %setup -q -T -D -a 9
    %setup -q -T -D -a 10
    %setup -q -T -D -a 11
    %setup -q -T -D -a 12
    %setup -q -T -D -a 13
    %setup -q -T -D -a 14
    %setup -q -T -D -a 15
    %setup -q -T -D -a 16
    %setup -q -T -D -a 17
    %setup -q -T -D -a 18
    %setup -q -T -D -a 19
    %setup -q -T -D -a 20
    %setup -q -T -D -a 21
    %setup -q -T -D -a 22
    %setup -q -T -D -a 23
    %setup -q -T -D -a 24
    %setup -q -T -D -a 25
    %setup -q -T -D -a 26
    %setup -q -T -D -a 27
    %setup -q -T -D -a 28
    %setup -q -T -D -a 29
    %setup -q -T -D -a 30
    %setup -q -T -D -a 31
    %setup -q -T -D -a 32
    %setup -q -T -D -a 33
    %setup -q -T -D -a 34
    %setup -q -T -D -a 35
    %setup -q -T -D -a 36
    %setup -q -T -D -a 37
    %setup -q -T -D -a 38
    %setup -q -T -D -a 39
    %setup -q -T -D -a 40
    %setup -q -T -D -a 41
    %setup -q -T -D -a 42
    %setup -q -T -D -a 43
    %setup -q -T -D -a 44
    %setup -q -T -D -a 45
    %setup -q -T -D -a 46
    %setup -q -T -D -a 47
    %setup -q -T -D -a 48
    %setup -q -T -D -a 49
    %setup -q -T -D -a 50
    %setup -q -T -D -a 51
    %setup -q -T -D -a 52
    %setup -q -T -D -a 53
    %setup -q -T -D -a 54
    %setup -q -T -D -a 55
    %setup -q -T -D -a 56
    %setup -q -T -D -a 57
    %setup -q -T -D -a 58
    %setup -q -T -D -a 59
    %setup -q -T -D -a 60
    %setup -q -T -D -a 61
    %setup -q -T -D -a 62
    %setup -q -T -D -a 63
    %setup -q -T -D -a 64
    %setup -q -T -D -a 65
    %setup -q -T -D -a 66
    %setup -q -T -D -a 67
    %setup -q -T -D -a 68
    %setup -q -T -D -a 69
    %setup -q -T -D -a 70
    %setup -q -T -D -a 71
    %setup -q -T -D -a 72
    %setup -q -T -D -a 73
    %patch -p0

%build

%install
    %{l_prefix}/bin/perl-openpkg prepare
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE0}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE1}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE2}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE3}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE4}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE5}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE6}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE7}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE8}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE9}  configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE10} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE11} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE12} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE13} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE14} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE15} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE16} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE17} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE18} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE19} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE20} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE21} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE22} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE23} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE24} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE25} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE26} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE27} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE28} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE29} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE30} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE31} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE32} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE33} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE34} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE35} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE36} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE37} configure build install
    #   %{l_prefix}/bin/perl-openpkg -d %{SOURCE38} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE39} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE40} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE41} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE42} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE43} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE44} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE45} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE46} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE47} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE48} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE49} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE50} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE51} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE52} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE53} configure build install
    #   %{l_prefix}/bin/perl-openpkg -d %{SOURCE54} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE55} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE56} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE57} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE58} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE59} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE60} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE61} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE62} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE63} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE64} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE65} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE66} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE67} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE68} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE69} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE70} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE71} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE72} configure build install
    %{l_prefix}/bin/perl-openpkg -d %{SOURCE73} configure build install
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/replace
    rm -f $RPM_BUILD_ROOT%{l_prefix}/bin/prove
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/replace.1
    rm -f $RPM_BUILD_ROOT%{l_prefix}/man/man1/prove.1
    %{l_prefix}/bin/perl-openpkg -F perl-openpkg-files fixate cleanup
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std} `cat perl-openpkg-files`

%files -f files

%clean

